Index: external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc
===================================================================
--- external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
+++ external/fastjet/plugins/CDFCones/CDFJetCluPlugin.cc	(revision 1c8d9dbb881c087327a434f9c920c7e8131c8d91)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: CDFJetCluPlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/CDFJetCluPlugin.hh"
Index: external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc
===================================================================
--- external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
+++ external/fastjet/plugins/CDFCones/CDFMidPointPlugin.cc	(revision 1c8d9dbb881c087327a434f9c920c7e8131c8d91)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id$
+//FJSTARTHEADER
+// $Id: CDFMidPointPlugin.cc 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #include "fastjet/CDFMidPointPlugin.hh"
Index: external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc
===================================================================
--- external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
+++ external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc	(revision 1c8d9dbb881c087327a434f9c920c7e8131c8d91)
@@ -11,4 +11,8 @@
 // History of changes compared to the original JetCluAlgorithm.cc file
 // 
+// 2014-08-13 Matteo Cacciari and Gavin Salam
+//        * commented out towers variable in JetCluAlgorithm::buildPreClusters
+//          interface to avoid compiler warning
+//
 // 2011-11-14  Gregory Soyez  <soyez@fastjet.fr>
 //
@@ -55,5 +59,7 @@
 }
 
-void JetCluAlgorithm::buildPreClusters(std::vector<Cluster>& seedTowers, std::vector<PhysicsTower>& towers,
+// MC+GPS 2014-08-13, commented out the towers variable to avoid an
+// unused variable warning
+void JetCluAlgorithm::buildPreClusters(std::vector<Cluster>& seedTowers, std::vector<PhysicsTower>& /*towers*/,
 				       std::vector<Cluster>& preClusters)
 {
Index: external/fastjet/plugins/CDFCones/MidPointAlgorithm.cc
===================================================================
--- external/fastjet/plugins/CDFCones/MidPointAlgorithm.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
+++ external/fastjet/plugins/CDFCones/MidPointAlgorithm.cc	(revision 1c8d9dbb881c087327a434f9c920c7e8131c8d91)
@@ -11,4 +11,9 @@
 // History of changes compared to the original MidPointAlgorithm.cc file
 // 
+// 2014-08-13 Matteo Cacciari and Gavin Salam
+//        * changed a number of int -> unsigned (and in one case
+//          added explicit conversion to int) to eliminate
+//          long-standing compiler warnings
+//
 // 2009-01-17  Gregory Soyez  <soyez@fastjet.fr>
 // 
@@ -68,9 +73,11 @@
   std::vector< std::vector<bool> > distanceOK;
   distanceOK.resize(stableCones.size() - 1);
-  for(int nCluster1 = 1; nCluster1 < stableCones.size(); nCluster1++){
+  // MC+GPS 2014-08-13, replaced int with unsigned
+  for(unsigned nCluster1 = 1; nCluster1 < stableCones.size(); nCluster1++){
     distanceOK[nCluster1 - 1].resize(nCluster1);
     double cluster1Rapidity = stableCones[nCluster1].fourVector.y();
     double cluster1Phi      = stableCones[nCluster1].fourVector.phi();
-    for(int nCluster2 = 0; nCluster2 < nCluster1; nCluster2++){
+    // MC+GPS 2014-08-13, replaced int with unsigned
+    for(unsigned nCluster2 = 0; nCluster2 < nCluster1; nCluster2++){
       double cluster2Rapidity = stableCones[nCluster2].fourVector.y();
       double cluster2Phi      = stableCones[nCluster2].fourVector.phi();
@@ -94,8 +101,10 @@
   // Loop over all combinations. Calculate MidPoint. Make midPointClusters.
   bool reduceConeSize = false;
-  for(int iPair = 0; iPair < pairs.size(); iPair++){
+  // MC+GPS 2014-08-13, replaced int with unsigned
+  for(unsigned iPair = 0; iPair < pairs.size(); iPair++){
     // Calculate rapidity, phi and pT of MidPoint.
     LorentzVector midPoint(0,0,0,0);
-    for(int iPairMember = 0; iPairMember < pairs[iPair].size(); iPairMember++)
+    // MC+GPS 2014-08-13, replaced int with unsigned
+    for(unsigned iPairMember = 0; iPairMember < pairs[iPair].size(); iPairMember++)
       midPoint.add(stableCones[pairs[iPair][iPairMember]].fourVector);
     iterateCone(midPoint.y(),midPoint.phi(),midPoint.pt(),towers,stableCones,reduceConeSize);
@@ -174,8 +183,10 @@
   if(testPair.size())
     nextClusterStart = testPair.back() + 1;
-  for(int nextCluster = nextClusterStart; nextCluster <= distanceOK.size(); nextCluster++){
+  // MC+GPS 2014-08-13, replaced int nextCluster with unsigned
+  for(unsigned nextCluster = nextClusterStart; nextCluster <= distanceOK.size(); nextCluster++){
     // Is new SeedCone less than 2*_coneRadius apart from all clusters in testPair?
     bool addCluster = true;
-    for(int iCluster = 0; iCluster < testPair.size() && addCluster; iCluster++)
+    // MC+GPS 2014-08-13, replaced int iCluster with unsigned
+    for(unsigned iCluster = 0; iCluster < testPair.size() && addCluster; iCluster++)
       if(!distanceOK[nextCluster - 1][testPair[iCluster]])
 	addCluster = false;
@@ -187,5 +198,6 @@
 	pairs.push_back(testPair);
       // If not bigger than allowed, find more clusters within 2*_coneRadius.
-      if(testPair.size() < maxClustersInPair)
+      // GPS+MC 2014-08-13, replaced testPair.size() with int(testPair.size())
+      if(int(testPair.size()) < maxClustersInPair)
 	addClustersToPairs(testPair,pairs,distanceOK,maxClustersInPair);
       // All combinations containing testPair found. Remove last element.
Index: external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
===================================================================
--- external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
+++ external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh	(revision 1c8d9dbb881c087327a434f9c920c7e8131c8d91)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: CDFJetCluPlugin.hh 2758 2011-11-24 08:31:58Z soyez $
+//FJSTARTHEADER
+// $Id: CDFJetCluPlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __CDFJETCLUPLUGIN_HH__
Index: external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh
===================================================================
--- external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
+++ external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh	(revision 1c8d9dbb881c087327a434f9c920c7e8131c8d91)
@@ -1,6 +1,6 @@
-//STARTHEADER
-// $Id: CDFMidPointPlugin.hh 2758 2011-11-24 08:31:58Z soyez $
+//FJSTARTHEADER
+// $Id: CDFMidPointPlugin.hh 3433 2014-07-23 08:17:03Z salam $
 //
-// Copyright (c) 2005-2011, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -13,7 +13,9 @@
 //
 //  The algorithms that underlie FastJet have required considerable
-//  development and are described in hep-ph/0512210. If you use
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
 //  FastJet as part of work towards a scientific publication, please
-//  include a citation to the FastJet paper.
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
 //
 //  FastJet is distributed in the hope that it will be useful,
@@ -25,5 +27,5 @@
 //  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
 //----------------------------------------------------------------------
-//ENDHEADER
+//FJENDHEADER
 
 #ifndef __CDFMIDPOINTPLUGIN_HH__
